%global pypi_name pytest-virtualenv

%bcond_without  tests

Name:           python-%{pypi_name}
Version:        1.8.1
Release:        %mkrel 1
Summary:        Virtualenv fixture for py.test
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-virtualenv
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# needed for tests
BuildRequires:  python3-pytest

%description
Create a Python virtual environment in your test that cleans up on teardown.
The fixture has utility methods to install packages and list what's installed.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
# The requirements are missing from upstream metadata:
Requires:       python3-path
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
Create a Python virtual environment in your test that cleans up on teardown.
The fixture has utility methods to install packages and list what's installed.

%prep
%autosetup -n %{pypi_name}-%{version}

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_virtualenv

%check
%{?with_tests:
# Partial testing, no module pkg_resources in py3.12
rm -rf tests/integration/test_tmpvirtualenv.py
%pytest tests }

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGES.md


%changelog
* Sun Feb 02 2025 daviddavid <daviddavid> 1.8.1-1.mga10
+ Revision: 2144599
- new version: 1.8.1

* Sun Feb 25 2024 daviddavid <daviddavid> 1.7.0-5.mga10
+ Revision: 2044162
- switch to pyproject and fix testsuite
+ wally <wally>
- rebuild for py3.12

* Wed Mar 30 2022 umeabot <umeabot> 1.7.0-4.mga9
+ Revision: 1833794
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.7.0-3.mga9
+ Revision: 1778184
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 1.7.0-2.mga9
+ Revision: 1712516
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1701616
- imported package python-pytest-virtualenv

